Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.torque.generator.configuration.mergepoint
Class ActionSaxHandlerFactories

    java.lang.Object
      org.apache.torque.generator.configuration.mergepoint.ActionSaxHandlerFactories

    public class ActionSaxHandlerFactories

extends Object

A registry of ActionSaxHandlerFactories. $Id: ActionSaxHandlerFactories.java 1331190 2012-04-27 02:41:35Z tfischer $

Constructor Summary
`ActionSaxHandlerFactories()` Constructor.

Method Summary
`ActionSaxHandlerFactory` | `getActionSaxHandlerFactory(String type)` Returns the ActionSaxHandlerFactory associated with the given type.
`void` | `register(ActionSaxHandlerFactory factory)` Registers a handler for a new action type.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ActionSaxHandlerFactories

    public ActionSaxHandlerFactories()

  Constructor. Registers the default Factories.

Method Detail

### register

    public void register(ActionSaxHandlerFactory factory)
                  throws ConfigurationException

  Registers a handler for a new action type.

  Parameters:
    `factory` - the factory which handles the action of the given type.
  Throws:
    `ConfigurationException` - if a factory already exists for the type of the action.

### getActionSaxHandlerFactory

    public ActionSaxHandlerFactory getActionSaxHandlerFactory(String type)

  Returns the ActionSaxHandlerFactory associated with the given type.

  Parameters:
    `type` - the type top look for, not null.
  Returns:
    the ActionSaxHandlerFactory associated with the given type, or null if no ActionSaxHandlerFactory exists for the given type.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000-2013 The Apache Software Foundation. All Rights Reserved.